# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.614   -> 1.615  
#	drivers/usb/net/kaweth.c	1.23    -> 1.24   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/05	Oliver.Neukum@lrz.uni-muenchen.de	1.615
# [PATCH] two byte offset for kaweth
# 
# this is the two byte offset patch to kaweth for 2.5
# to prevent MIPS crashing and speed up other arches.
# --------------------------------------------
#
diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	Thu Sep  5 08:50:55 2002
+++ b/drivers/usb/net/kaweth.c	Thu Sep  5 08:50:55 2002
@@ -567,6 +567,8 @@
                         return;
 		}
 
+		skb_reserve(skb, 2);    /* Align IP on 16 byte boundaries */
+
 		skb->dev = net;
 
 		eth_copy_and_sum(skb, kaweth->rx_buf + 2, pkt_len, 0);
